> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-client-integration-guide/v19/ras-web-client-api/main-url-format.md).

# Main URL Format

When a user clicks a resource name (a link) on a custom web page, the URL behind it must have one of following formats:

`https://<server>/userportal/?appinfo=https://<webserver>/<app-name>.js&theme=<theme-name>#/launch`

or

`https://<server>/<theme-name>/?appinfo=https://<server>/<app-name>.js#/launch`

where:

* `<server>` is the IP address or FQDN of the RAS Secure Gateway server.
* `<webserver>` is a web server from where information about published resources and authorized users is served.
* `<app-name>.js` is a payload in JSONP format containing user credentials and a published resource information. Note that since payload must contain user credentials, the payload should be generated dynamically for every user and every application, desktop, published resource to which a user has access through the web portal. For testing purposes, you can create a temporary ".js" file with all the required information and save it in a folder on your web server. The payload structure is described in the section that follows this one.
* `<theme-name>` is the name of the Theme that will be used. This parameter is optional if you use the first URL format.

{% hint style="info" %}
**Note:** You can use the `/RASHTML5Gateway` suffix instead of `/userportal`, but this is not recommended.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-client-integration-guide/v19/ras-web-client-api/main-url-format.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
